svn_auth_get_parameter
svn_blame
Fonctions SVN
PHP Manual

# svn_auth_set_parameter

(PECL svn >= 0.1.0)

svn_auth_set_parameter — Spécifie un paramètre d'identification

### Description

void svn_auth_set_parameter ( string `$key` , string `$value` )

Spécifie le paramètre d'identification `key` à la valeur `value`. Pour une liste de clés valides ainsi que leurs significations, reportez-vous à la liste des constantes d'identification.

### Liste de paramètres

`key`

  Nom de la clé. Utilisez une constante d'identification définie par cette extension pour spécifier la clé.

`value`

  Valeur à définir pour la nouvelle clé. Le format de la valeur varie avec le paramètre.

### Valeurs de retour

Aucune valeur n'est retournée.

### Notes

Avertissement

Cette fonction est EXPERIMENTALE. Cela signifie que le comportement de cette fonction, son nom et, concrètement, TOUT ce qui est documenté ici peut changer dans un futur proche, SANS PREAVIS ! Soyez-en conscient, et utilisez cette fonction à vos risques et périls.

### Exemples

Exemple #1 Exemple d'identification

Cet exemple configure SVN avec, comme nom d'utilisateur "Bob" et comme mot de passe "abc123" :

`<?php
svn_auth_set_parameter(SVN_AUTH_PARAM_DEFAULT_USERNAME, 'Bob');
svn_auth_set_parameter(SVN_AUTH_PARAM_DEFAULT_PASSWORD, 'abc123');
?>`

### Voir aussi

- svn_auth_get_parameter() - Récupère un paramètre d'identification
- Constantes d'identification

svn_auth_get_parameter
svn_blame
Fonctions SVN
PHP Manual